PETSc version 3.15.5
Fix/Edit manual page

# KSPHPDDMType

Type of Krylov method used by KSPHPDDM

### Synopsis

    typedef enum {
      KSP_HPDDM_TYPE_GMRES = 0,
      KSP_HPDDM_TYPE_BGMRES = 1,
      KSP_HPDDM_TYPE_CG = 2,
      KSP_HPDDM_TYPE_BCG = 3,
      KSP_HPDDM_TYPE_GCRODR = 4,
      KSP_HPDDM_TYPE_BGCRODR = 5,
      KSP_HPDDM_TYPE_BFBCG = 6,
      KSP_HPDDM_TYPE_PREONLY = 7
    } KSPHPDDMType;

### Values

| KSP_HPDDM_TYPE_GMRES (default)
| KSP_HPDDM_TYPE_BGMRES
| KSP_HPDDM_TYPE_CG
| KSP_HPDDM_TYPE_BCG
| KSP_HPDDM_TYPE_GCRODR
| KSP_HPDDM_TYPE_BGCRODR
| KSP_HPDDM_TYPE_BFBCG
| KSP_HPDDM_TYPE_PREONLY

### See Also

KSPHPDDM, KSPHPDDMSetType()

### Level

intermediate

### Location

src/ksp/ksp/guess/../../../../include/petscksp.h

### Examples

src/ksp/ksp/tutorials/ex76.c.html
src/ksp/ksp/tutorials/ex78.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages